Opt-In FPP Image Series
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/fppSeriesOptIn
Opt-in an FPP image series to be used for database maintenance activities from Enterprise Manager. Note- The FPP image series will be denoted as an image. The different images in this image series will show up as versions in Enterprise Manager.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectMatch One Schema
Show Source
-
object
FppSeriesOptInDetails
Opt-In details for FPP series
-
object
ExapatchOptInDetails
Opt-In Details for Exapatch Series
Nested Schema : FppSeriesOptInDetails
Type:
objectOpt-In details for FPP series
Match All
Opt-In details for FPP series
Show Source
-
object
FppSeriesOptInInputDetails
FPP image series details
Nested Schema : ExapatchOptInDetails
Type:
objectOpt-In Details for Exapatch Series
Match All
Opt-In Details for Exapatch Series
Show Source
-
object
ExapatchOptInInputDetails
Exapatch Image Series details
Nested Schema : FppSeriesOptInInputDetails
Type:
objectFPP image series details
Show Source
-
series: array
series
Array of the image series
Nested Schema : items
Type:
Show Source
object-
currentVersionImageId: string
ID of the image version to be marked as current
-
seriesId: string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Match One Schema
Show Source
Nested Schema : ExapatchOptInInputDetails
Type:
objectExapatch Image Series details
Show Source
-
series: array
series
Array of Image Series
Nested Schema : items
Type:
Show Source
object-
currentVersionImageId: string
VersionId to be marked as currentExample:
E5B98897FE871AC1E05380FE4564F682 -
imageFile: string
Zip file name that contains the patch image.Example:
p34752810_191200_Linux-x86-64.zip -
patchManagerLocation: string
location needed for host target typeExample:
p34752811_191200_Linux-x86-64.zip -
seriesId: string
seriesidExample:
E6C5858BD2B46B37E05380FE4564A69B -
seriesName: string
series nameExample:
Exadata_DB_Series_1_12 -
serverName: string
FPP Server Cluster nameExample:
myFPPserver -
targetType: string
targetType for given versionExample:
host
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. FPP image series Opt-In completed.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
allOf
GoldImageFppSeriesOptIn
FPP image series Opt-In response
Nested Schema : GoldImageFppSeriesOptIn
Type:
objectFPP image series Opt-In response
Match All
FPP image series Opt-In response
Show Source
-
object
FppSeriesOptInOptOutResult
FPP image series Opt-In/Out result
Nested Schema : FppSeriesOptInOptOutResult
Type:
objectFPP image series Opt-In/Out result
Show Source
-
failed: integer
Count of failed series
-
items: array
items
List of items
-
successful: integer
Count of successful series
-
total: integer
Count of total series
Nested Schema : items
Type:
arrayList of items
Show Source
-
Array of:
object FppSeriesOptInResultSummary
FPP image series Opt-In response
Nested Schema : FppSeriesOptInResultSummary
Type:
objectFPP image series Opt-In response
Show Source
-
code: integer
Series Opt-In HTTP status code
-
message: string
Opt-In message
-
seriesId: string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Examples
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message